%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Convert-PEM
%define modv   0.07
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for reading/writing ASN.1 PEM files
Name:          perl-%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Benjamin Trott <cpan@stupidfool.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Class::ErrorHandler)
Requires:      perl(Crypt::DES_EDE3)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Config)
BuildRequires: perl(Convert::ASN1) >= 0.10
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Cwd)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test)
BuildArch:     noarch


%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded objects.
The files can optionally be encrypted using a symmetric cipher algorithm,
such as 3DES.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README ToDo
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Jul 23 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.07-2
- Added missing dependencies

* Wed Jul 22 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.07-1
- Initial build
